Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034414
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2016-11-03 11:292016-11-14 10:13
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3.3
StatusclosedFix in branchFixed in SCM revisionc1d4902bbb00
ProjectionnoneETAnoneTarget Version3.0PR16Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-09-02
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/69108bf7103b [^]
Triggers an Emergency PackNo
Summary

0034414: Cannot post a physical inventory if it is not migrated to the new costing engine

DescriptionCannot post a physical inventory if it is not migrated to the new costing engine
Steps To ReproduceAs system admin role:
   Install a version previous to 3.0MP13
   Upgrade then to our latest version
As group admin role:
   Do not launch the Costing Migration Process
   Create a product
   Add a legacy standard cost to it
   Create a physical inventory and add the previously created product
   Complete it and try to post it
   The following error message is shown:
      Cost has not yet been calculated for all products in the document.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0034374 closednonofrancisco Cannot post a physical inventory if it is not migrated to the new costing engine 

-  Notes
(0091418)
hgbot (developer)
2016-11-13 13:15

Repository: erp/backports/3.0PR16Q3.3
Changeset: c1d4902bbb00b6d43c3c8a9f33cdc36c3f2ba632
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Nov 08 12:15:48 2016 -0500
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/c1d4902bbb00b6d43c3c8a9f33cdc36c3f2ba632 [^]

Fixes issue 34414: Post a physical inventory not migrated to new costing engine

Setting the Not Calculated Status takes into account if costing engine has been
migrated.

---
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
---
(0091434)
aferraz (developer)
2016-11-14 10:13

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-11-07 18:01 aferraz Type defect => backport
2016-11-07 18:01 aferraz Target Version => 3.0PR16Q3.3
2016-11-13 13:15 hgbot Checkin
2016-11-13 13:15 hgbot Note Added: 0091418
2016-11-13 13:15 hgbot Status scheduled => resolved
2016-11-13 13:15 hgbot Resolution open => fixed
2016-11-13 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/c1d4902bbb00b6d43c3c8a9f33cdc36c3f2ba632 [^]
2016-11-14 10:13 aferraz Review Assigned To => aferraz
2016-11-14 10:13 aferraz Note Added: 0091434
2016-11-14 10:13 aferraz Status resolved => closed
2016-11-14 10:13 aferraz Fixed in Version => 3.0PR16Q3.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker